Package org.apache.tomcat.util.descriptor.web

## Class ContextTransaction

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ContextTransaction

All Implemented Interfaces:
  `Serializable`

    public class ContextTransaction
    extends Object
    implements Serializable

Representation of an application resource reference, as represented in an `<res-env-refy>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ContextTransaction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getProperty​(String name)`
`Iterator<String>` `listProperties()` List properties.
`void` `removeProperty​(String name)` Remove a configured property.
`void` `setProperty​(String name, Object value)` Set a configured property.
`String` `toString()` Return a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextTransaction

    public ContextTransaction()

### Method Detail

#### getProperty

    public Object getProperty​(String name)

Parameters:
  `name` - The property name
Returns:
  a configured property.

#### setProperty

    public void setProperty​(String name,
                            Object value)

Set a configured property.

Parameters:
  `name` - The property name
  `value` - The property value

#### removeProperty

    public void removeProperty​(String name)

Remove a configured property.

Parameters:
  `name` - The property name

#### listProperties

    public Iterator<String> listProperties()

List properties.

Returns:
  the property names iterator

#### toString

    public String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `Object`